/**
 * api
 */
import type { AxiosResponse } from 'axios';
declare const URLS: {
    'chance-type': string;
    'user-list': string;
    'tree-list': string;
    'rms/resource/getDownloadParam': string;
    'common-organize-list': string;
    'common-manager-list': string;
    'search-input-list': string;
    'chance-type-group-list': string;
    'chance-type-list': string;
};
/**
 * axios请求
 * @param  {String} path   请求路径
 * @param  {Object} data   请求参数
 * @param  {String} method 请求类型
 * @param  {Object} opts   请求选项
 * @return {Object}        Promise对象
 */
declare function axiosPost(apiPath: string, apiData?: object, apiMethod?: string, opts?: object): Promise<AxiosResponse<any>>;
export { axiosPost as fetch, URLS };
