/**
 *  异步搜索框, 支持搜索结果多选
 */
import React from 'react';
import '../../../style/ajax_input_search.less';
export interface AjaxInputSearchProps {
    apiPath: string;
    apiData?: Record<string | number | symbol, any>;
    apiMethod?: string;
    value?: string;
    searchKeyWord?: string;
    showSearchBtn?: boolean;
    showDropDown?: boolean;
    selectItemName?: string;
    onChange?: (x: any) => void;
    onSelect?: (x: string, y: number) => void;
    checkInputValue?: (x: string | number) => boolean;
}
declare const AjaxInputSearch: React.FunctionComponent<AjaxInputSearchProps>;
export default AjaxInputSearch;
