/**
 * 通用表格
 */
import PropTypes from 'prop-types';
declare const CommonTable: {
    (props: any): JSX.Element;
    propTypes: {
        rightLink: PropTypes.Requireable<string>;
        rightLinkTitle: PropTypes.Requireable<string>;
        tableTitle: PropTypes.Requireable<string>;
        columns: PropTypes.Validator<any[]>;
        isShowBordered: PropTypes.Requireable<boolean>;
        isShowPagination: PropTypes.Requireable<boolean>;
        apiPath: PropTypes.Validator<string>;
        apiData: PropTypes.Requireable<object>;
        apiMethod: PropTypes.Requireable<string>;
        sortType: PropTypes.Requireable<any[]>;
        pageSizeOptions: PropTypes.Requireable<any[]>;
        rowKeyFun: PropTypes.Requireable<(...args: any[]) => any>;
        scroll: PropTypes.Requireable<object>;
    };
    defaultProps: {
        isShowBordered: boolean;
    };
};
export default CommonTable;
