/**
 * 异步树组件
 */
import React from 'react';
import '../../../style/tree_select.less';
export interface AjaxTreeSelectProps {
    apiPath: string;
    apiData?: Record<string | number | symbol, any>;
    apiMethod?: string;
    placeholder?: string;
    value?: number[];
    onChange?: ([]: Iterable<any>) => void;
    multiple?: boolean;
    checkable?: boolean;
    disabled?: boolean;
    showSearch?: boolean;
    allowClear?: boolean;
    treeValueKey?: string;
    treeNameKey?: string;
    treeChildren?: string;
    isOnLoad?: boolean;
    parentId?: string;
    showCheckedStrategy?: number;
    isSelectParent?: string;
    maxTagCount?: number;
    dropdownStyle?: Record<string | number | symbol, any>;
}
declare const AjaxTreeSelect: React.FunctionComponent<AjaxTreeSelectProps>;
export default AjaxTreeSelect;
