/**
 * 选择关联标签
 */
import React from 'react';
import { Tag } from 'antd';
var SelectTag = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var selectTagkRef = React.useRef();
  selectTagkRef = ref;

  var handleRemove = function handleRemove(e, itemVal) {
    var value = props.value,
        onChange = props.onChange;
    e.preventDefault();
    onChange(value.filter(function (item) {
      return item.value !== itemVal;
    }));
  };

  var value = props.value;
  if (!value) return null;
  return /*#__PURE__*/React.createElement("div", {
    ref: selectTagkRef
  }, value.map(function (item, index) {
    return /*#__PURE__*/React.createElement(Tag, {
      closable: true,
      key: index,
      onClose: function onClose(e) {
        return handleRemove(e, item.value);
      }
    }, item.text);
  }));
});
export default SelectTag;