/**
 * 异步选择组件
 */
import React from 'react';
export interface AjaxSelectProps {
    apiPath: string;
    apiData?: Record<string | number | symbol, any>;
    apiMethod?: string;
    listName: string;
    listNameKey: string;
    listValueKey: string;
    value?: string | string[] | number | number[];
    onChange?: ([]: Iterable<any>) => void;
    disabled?: boolean;
}
declare const AjaxSelect: React.FunctionComponent<AjaxSelectProps>;
export default AjaxSelect;
