/**
 * 动态数据异步选择组件
 */
import React from 'react';
export interface DynamicAjaxSelectProps {
    apiPath: string;
    apiData?: Record<string | number | symbol, any>;
    apiMethod?: string;
    listName: string;
    listNameKey: string;
    listValueKey: string;
    value?: string | number | Record<string | number | symbol, any>[];
    onChange?: (any: any) => void;
    firstShowAll?: boolean;
    disabled?: boolean;
}
declare const DynamicAjaxSelect: React.FunctionComponent<DynamicAjaxSelectProps>;
export default DynamicAjaxSelect;
