"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

/**
 * 选择关联标签
 */
var SelectTag = /*#__PURE__*/_react.default.forwardRef(function (props, ref) {
  var selectTagkRef = _react.default.useRef();

  selectTagkRef = ref;

  var handleRemove = function handleRemove(e, itemVal) {
    var value = props.value,
        onChange = props.onChange;
    e.preventDefault();
    onChange(value.filter(function (item) {
      return item.value !== itemVal;
    }));
  };

  var value = props.value;
  if (!value) return null;
  return /*#__PURE__*/_react.default.createElement("div", {
    ref: selectTagkRef
  }, value.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement(_antd.Tag, {
      closable: true,
      key: index,
      onClose: function onClose(e) {
        return handleRemove(e, item.value);
      }
    }, item.text);
  }));
});

var _default = SelectTag;
exports.default = _default;